| Home | Libraries | People | FAQ | More

# Completion Condition Function Objects

## Detailed Description

Function objects used for determining when a read or write operation should complete.

## Functions

unspecified | boost::asio::transfer_all ()
| Return a completion condition function object that indicates that a read or write operation should continue until all of the data has been transferred, or until an error occurs.
unspecified | boost::asio::transfer_at_least (std::size_t minimum)
| Return a completion condition function object that indicates that a read or write operation should continue until a minimum number of bytes has been transferred, or until an error occurs.

## Function Documentation

unspecified boost::asio::transfer_all | ( |  | ) |

Return a completion condition function object that indicates that a read or write operation should continue until all of the data has been transferred, or until an error occurs.

unspecified boost::asio::transfer_at_least | ( | std::size_t | minimum | ) |

Return a completion condition function object that indicates that a read or write operation should continue until a minimum number of bytes has been transferred, or until an error occurs.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff